> ## Documentation Index
> Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get notifications

> Get calendar notifications based on query

Get calendar notifications based on query

```http theme={null}
GET https://services.leadconnectorhq.com/calendars/{calendarId}/notifications
```

## Autorización

<ParamField header="Authorization" type="string" required>
  Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication).
</ParamField>

<ParamField header="Version" type="string" required default="2021-07-28">
  Versión de la API.
</ParamField>

## Path parameters

<ParamField path="calendarId" type="string" required />

## Query parameters

<ParamField query="isActive" type="boolean" />

<ParamField query="deleted" type="boolean" />

<ParamField query="limit" type="number">
  Number of records to return
</ParamField>

<ParamField query="skip" type="number">
  Number of records to skip
</ParamField>

## Respuestas

<Accordion title="200 - Successful response">
  ```json theme={null}
  [
    {
      "_id": "string",
      "receiverType": "contact",
      "additionalEmailIds": [
        "example1@email.com",
        "example2@email.com"
      ],
      "additionalPhoneNumbers": [
        "+919876744444",
        "+919876744445"
      ],
      "channel": "email",
      "notificationType": "confirmation",
      "isActive": true,
      "additionalWhatsappNumbers": [
        "+919876744444",
        "+919876744445"
      ],
      "templateId": "0as9d8as0d",
      "body": "This is a test notification",
      "subject": "Test Notification",
      "afterTime": [
        {
          "timeOffset": 1,
          "unit": "hours"
        }
      ],
      "beforeTime": [
        {
          "timeOffset": 1,
          "unit": "hours"
        }
      ],
      "selectedUsers": [
        "user1",
        "user2"
      ],
      "deleted": false
    // truncado: 2 lineas mas
  ]
  ```
</Accordion>

<Accordion title="400 - Bad Request">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="401 - Unauthorized">
  ```json theme={null}
  {}
  ```
</Accordion>

## Ejemplo

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET 'https://services.leadconnectorhq.com/calendars/YOUR_calendarId/notifications' \
    -H 'Authorization: Bearer YOUR_TOKEN' \
    -H 'Version: 2021-07-28'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://services.leadconnectorhq.com/calendars/YOUR_calendarId/notifications', {
    method: 'GET',
    headers: {
      Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
      Version: '2021-07-28',
    },
  });
  const data = await response.json();
  ```

  ```python Python theme={null}
  import os, requests
  response = requests.request(
      'GET',
      'https://services.leadconnectorhq.com/calendars/YOUR_calendarId/notifications',
      headers={
          'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
          'Version': '2021-07-28',
      },
  )
  data = response.json()
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init('https://services.leadconnectorhq.com/calendars/YOUR_calendarId/notifications');
  curl_setopt_array($ch, [
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_CUSTOMREQUEST => 'GET',
      CURLOPT_HTTPHEADER => [
          'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
          'Version: 2021-07-28',
      ],
  ]);
  $data = json_decode(curl_exec($ch), true);
  ```
</CodeGroup>
